JVM 1.7.0_71以上のJVM使用時にJava WebStartを使用して、Workstationが起動できない

Document created by Takeshi_Matsushima Employee on Jul 1, 2015
Version 1Show Document
  • View in full screen mode
文書番号JTEC001398
製品名CA APM Workstation
バージョン9.5.2, 9.5.3, 9.6.0, 9.7.0
OSLinux

 


 

◆ 概要

JVM 1.7.0_71以上のJVMを使用してJava WebStartを使用してWorkstationを起動しようとすると、以下のエラーが出力されWorkstationを起動することができない。

java.security.AccessControlException: access denied ("java.lang.reflect.ReflectPermission" "suppressAccessChecks")


◆ 回避策

<EM_HOME>/product/enterprisemanager/plugins/com.wily.introscope.workstation.webstart_9.x.0/WebContent/jnlp/workstation.jspの以下文字列の下に

<! -- Information usually specified in the config.ini -->

以下文字列を追加してください。

<property name="jnlp.eclipse.security" value="osgi"/>

追加後、EMの再起動、および、ブラウザのキャッシュファイルとJavaのキャッシュファイルを削除後、再度Java Web Startのページにアクセスしてください。


◆ 対応バージョン

9.6.1で修正されております。

Attachments

    Outcomes